### Method

# Camel StoreSearch get_expression

since: 3.58

#### Declaration [src]

    const gchar*
    camel_store_search_get_expression (
      CamelStoreSearch* self
    )

#### Description [src]

Gets search expression previously set by the camel_store_search_set_expression().

Available since: 3.58

#### Return value

Type: `const gchar*`

Current search expression for the `self`, or `NULL`, when none is set.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.